---
title: PingOne Identity Governance API reference
description: Identity Governance has many features, including access requests, the governance glossary (catalog), and entitlements.
component: pingoneaic
page_id: pingoneaic:identity-governance:rest-api/endpoints/rest-iga
canonical_url: https://docs.pingidentity.com/pingoneaic/identity-governance/rest-api/endpoints/rest-iga.html
keywords: ["REST API", "API reference", "endpoints", "identity governance", "access requests", "certification", "workflows"]
section_ids:
  yaml_file: YAML file
  access_token: Access token
  rest-api-gov-endpoints: Endpoints
  rest-api-application: Application
  rest-api-certification: Certification
  rest-api-access-request: Access request
  rest-api-access-request-form: Access request form
  rest-api-access-request-type: Access request type
  rest-api-account: Account
  rest-api-audit: Audit
  rests-api-catalog: Catalog
  rest-api-config: Config
  rest-api-entitlement: Entitlement
  rest-api-event: Event
  rest-api-job: Job
  rest-api-provisioning: Provisioning
  rest-api-recommendation: Recommendations
  rest-api-scope: Scope
  rest-api-sod: Segregation of Duty
  rest-api-task: Task
  rest-api-user: User
  rest-api-workflow: Workflow
  rest-api-notification: Notifications
  rest-api-evolving: Evolving
  rest-api-deprecated: Deprecated
  rest-api-glossary: Glossary
  rest-api-roles: Roles
  rest-api-role-mining: Role mining
  rest-api-rules: Rules
---

# PingOne Identity Governance API reference

Identity Governance has many features, including access requests, the governance glossary (catalog), and entitlements.

The following sections comprehensively explore the Identity Governance REST API endpoints.

## YAML file

The REST APIs contain many parameters and, in some instances, large request bodies. For your convenience, you can view the entire API using a YAML file based on the [OpenAPI specification](https://www.openapis.org).

To download the YAML file, [click here](../../_attachments/identity-governance-openapi.yaml).

Learn more in the [API reference documentation](../../../_attachments/api/identity-governance-openapi.html).

|   |                                                                                                                         |
| - | ----------------------------------------------------------------------------------------------------------------------- |
|   | Adjust the configurations of the file to match your specific details, such as your Advanced Identity Cloud tenant FQDN. |

## Access token

You need to obtain an access token to authenticate to the Advanced Identity Cloud REST API. Learn more about obtaining an access token in [Authenticate to Advanced Identity Cloud REST API with access token](../../../developer-docs/authenticate-to-rest-api-with-access-token.html).

After you obtain an access token, you can access the Identity Governance API using the specific HTTP methods: `GET`, `POST`, `PUT`, `PATCH`, and `DELETE`. You can use client command-line tools, such as [cURL](https://curl.se) or API platforms, such as [Postman](https://www.postman.com) to transfer data to and from the IGA server.

For example, using cURL:

```json
curl \
--request GET \
--header 'Authorization: Bearer <access token>' \
"https://<tenant-env-fqdn>/iga/governance/application?_pageSize=10&_queryFilter=true"
```

> **Collapse: Show example response**
>
> ```json
> {
>   "result": [
>     {
>       "application": {
> 		"authoritative": false,
>       "connectorId": "AzureAD",
>      		"description": "AzureAD application",
>       ...
>      	 	"name": "AzureAD",
>       "templateName": "azure.ad",
>      		 "templateVersion": "2.0",
>       "objectTypes": [
>         {
>           "name": "__ACCOUNT__"
>         },
>         {
>           "name": "__GROUP__",
>           "accountAttribute": "memberOf"
>         }
>       ]
>   },
>   ...
> }
>   ],
>   "searchAfterKey": "string",
>   "resultCount": 0,
>   "totalCount": 0
> }
> ```

## Endpoints

The following sections present the Identity Governance endpoints.

|   |                                                                                                      |
| - | ---------------------------------------------------------------------------------------------------- |
|   | The output and examples presented in this section are based on a test dataset and are not real data. |

### Application

| URI                                                    | HTTP method | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ------------------------------------------------------ | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `/iga/governance/application`                          | GET         | Query Identity Governance applications. This endpoint is subject to the end user's scoped permissions.> **Collapse: Parameters**
>
> Name	Description&#xA;&#xA;\_fields string&#xA;&#xA;&#x9;&#xA;&#xA;List of fields to return for each entry in the response result. Comma-separated for multiple values.&#xA;&#xA;&#xA;&#xA;&#xA;\_pageSize integer&#xA;&#xA;&#x9;&#xA;&#xA;Number of response result objects to return.&#xA;&#xA;&#xA;&#xA;&#xA;\_pagedResultsOffset integer&#xA;&#xA;&#x9;&#xA;&#xA;Offset number of the record from which to start the paginated results.&#xA;&#xA;&#xA;&#xA;&#xA;\_sortKeys string&#xA;&#xA;&#x9;&#xA;&#xA;Property on which to sort the results.&#xA;&#xA;&#xA;&#xA;&#xA;\_sortDir string&#xA;&#xA;&#x9;&#xA;&#xA;Direction of sort: asc, desc.&#xA;&#xA;&#xA;&#xA;&#xA;\_sortType string&#xA;&#xA;&#x9;&#xA;&#xA;Type of sort value. Special types of fields need this parameter to sort. Currently, the supported special types are date and integer. This can be omitted for other fields.&#xA;&#xA;&#xA;&#xA;&#xA;\_searchAfter string&#xA;&#xA;&#x9;&#xA;&#xA;Sort property values of the last entry to continue searching. Comma-separated for multiple values.&#xA;&#xA;&#xA;&#xA;&#xA;\_queryFilter string&#xA;&#xA;&#x9;&#xA;&#xA;Search query filter.> **Collapse: Responses**
>
> Code	Description&#xA;&#xA;200&#xA;&#xA;&#x9;&#xA;&#xA;OK&#xA;&#xA;&#xA;&#xA;&#xA;500&#xA;&#xA;&#x9;&#xA;&#xA;Server error> **Collapse: Click for an example to get a list of applications**
>
> Media type: `application/json`
>
> ```json
> GET iga/governance/application?_pageSize=1&_queryFilter=true
> {
>   "result": [
>     {
>       "application": {
> 		"authoritative": false,
>       "connectorId": "AzureAD",
>      		"description": "AzureAD application",
>       ...
>      	 	"name": "AzureAD",
>       "templateName": "azure.ad",
>      		 "templateVersion": "2.0",
>       "objectTypes": [
>         {
>           "name": "__ACCOUNT__"
>         },
>         {
>           "name": "__GROUP__",
>           "accountAttribute": "memberOf"
>         }
>       ]
>   },
>   ...
> }
>   ],
>   "searchAfterKey": "string",
>   "resultCount": 0,
>   "totalCount": 0
> }
> ```                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `/iga/governance/application/{id}/{objectType}/schema` | GET         | Returns the schema of a given application's object type.This endpoint helps identify the required payload structure for the request endpoint. It's for the object key that holds the entitlement details. The UI also uses the endpoint to generate forms for creating and modifying entitlements.> **Collapse: Parameters**
>
> Name	Description&#xA;&#xA;id string \* required&#xA;&#xA;&#x9;&#xA;&#xA;ID of the application.&#xA;&#xA;&#xA;&#xA;&#xA;objectType string \* required&#xA;&#xA;&#x9;&#xA;&#xA;Object type to get the schema.> **Collapse: Responses**
>
> Code	Description&#xA;&#xA;200&#xA;&#xA;&#x9;&#xA;&#xA;OK&#xA;&#xA;&#xA;&#xA;&#xA;500&#xA;&#xA;&#x9;&#xA;&#xA;Server error> **Collapse: Click for an example to get the object type schema**
>
> Media type: `application/json`
>
> ```json
> GET iga/governance/application/{applicationId}/{objectType}/schema
>
> For example:
>
> GET iga/governance/application/e35d09cd-2b9b-41bc-8246-dc23d4a36502/Department/schema"
> {
>   "$schema": "http://json-schema.org/draft-03/schema",
>   "id": "department",
>   "nativeType": "department",
>   "properties": {
>     "__NAME__": {
>       "flags": [
>         "NOT_UPDATEABLE",
>         "NOT_CREATABLE"
>       ],
>       "nativeName": "__NAME__",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 11,
>       "displayName": "__NAME__"
>     },
>     "company": {
>       "nativeName": "company",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 4,
>       "displayName": "company"
>     },
>     "cost_center": {
>       "nativeName": "cost_center",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 0,
>       "displayName": "cost_center"
>     },
>     "dept_head": {
>       "nativeName": "dept_head",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 15,
>       "displayName": "dept_head"
>     },
>     "description": {
>       "nativeName": "description",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 7,
>       "displayName": "description"
>     },
>     "head_count": {
>       "nativeName": "head_count",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 1,
>       "displayName": "head_count"
>     },
>     "id": {
>       "nativeName": "id",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 14,
>       "displayName": "id"
>     },
>     "name": {
>       "nativeName": "name",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 3,
>       "displayName": "name"
>     },
>     "parent": {
>       "nativeName": "parent",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 8,
>       "displayName": "parent"
>     },
>     "primary_contact": {
>       "nativeName": "primary_contact",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 10,
>       "displayName": "primary_contact"
>     },
>     "sys_created_by": {
>       "nativeName": "sys_created_by",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 12,
>       "displayName": "sys_created_by"
>     },
>     "sys_created_on": {
>       "nativeName": "sys_created_on",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 6,
>       "displayName": "sys_created_on"
>     },
>     "sys_mod_count": {
>       "flags": [
>         "NOT_UPDATEABLE",
>         "NOT_CREATABLE"
>       ],
>       "nativeName": "sys_mod_count",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 5,
>       "displayName": "sys_mod_count"
>     },
>     "sys_tags": {
>       "flags": [
>         "NOT_UPDATEABLE",
>         "NOT_CREATABLE"
>       ],
>       "nativeName": "sys_tags",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 13,
>       "displayName": "sys_tags"
>     },
>     "sys_updated_by": {
>       "flags": [
>         "NOT_UPDATEABLE",
>         "NOT_CREATABLE"
>       ],
>       "nativeName": "sys_updated_by",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 9,
>       "displayName": "sys_updated_by"
>     },
>     "sys_updated_on": {
>       "flags": [
>         "NOT_UPDATEABLE",
>         "NOT_CREATABLE"
>       ],
>       "nativeName": "sys_updated_on",
>       "nativeType": "string",
>       "type": "string",
>       "userSpecific": true,
>       "order": 2,
>       "displayName": "sys_updated_on"
>     }
>   },
>   "type": "object",
>   "applicationId": "e35d09cd-2b9b-41bc-8246-dc23d4a36502"
> }
> ``` |

### Certification

| URI                                                                  | HTTP method | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| -------------------------------------------------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `/iga/governance/certification/template`                             | GET         | Query existing certification templates.> **Collapse: Parameters**
>
> Name	Description&#xA;&#xA;queryString string&#xA;&#xA;&#x9;&#xA;&#xA;String to search name and description.&#xA;&#xA;&#xA;&#xA;&#xA;pageSize string&#xA;&#xA;&#x9;&#xA;&#xA;Number of results per page.&#xA;&#xA;&#xA;&#xA;&#xA;pageNumber string&#xA;&#xA;&#x9;&#xA;&#xA;Page number of results to display.&#xA;&#xA;&#xA;&#xA;&#xA;searchAfter string&#xA;&#xA;&#x9;&#xA;&#xA;An alternate of pageNumber, corresponds to the searchAfterKey value sent in the previous page's results.&#xA;&#xA;&#xA;&#xA;&#xA;sortBy string&#xA;&#xA;&#x9;&#xA;&#xA;Property to sort results by.&#xA;&#xA;&#xA;&#xA;&#xA;sortDesc string&#xA;&#xA;&#x9;&#xA;&#xA;Direction to sort results by.&#xA;&#xA;&#xA;&#xA;&#xA;certificationType string&#xA;&#xA;&#x9;&#xA;&#xA;Filter by certification type. The available values are identity, roleMembership, and entitlement.> **Collapse: Responses**
>
> Code	Description&#xA;&#xA;200&#xA;&#xA;&#x9;&#xA;&#xA;OK&#xA;&#xA;&#xA;&#xA;&#xA;400&#xA;&#xA;&#x9;&#xA;&#xA;Invalid request&#xA;&#xA;&#xA;&#xA;&#xA;500&#xA;&#xA;&#x9;&#xA;&#xA;Server error> **Collapse: Click for an example response**
>
> Media type: `application/json`
>
> ```json
> GET /iga/governance/certification/template?_pageSize=1
> {
>   "result": [
>     {
>       "status": "active",
>       "certObjectType": "user",
>       "name": "Biometrical Identity Scan  v0.1",
>       "description": "",
>       "isEventBased": false,
>       "stagingEnabled": false,
>       "schedule": null,
>       "skipInactiveCertifiers": false,
>       "allowSelfCertification": false,
>       "selfCertificationRule": "none",
>       "enableForward": true,
>       "enableReassign": true,
>       "reassignPermissions": {
>         "certify": true,
>         "comment": true,
>         "claim": true,
>         "delegate": true,
>         "exception": true,
>         "forward": true,
>         "reassign": true,
>         "reset": true,
>         "revoke": true,
>         "save": true,
>         "signoff": true
>       },
>       "exceptionDuration": 14,
>       "allowBulkCertify": true,
>       "allowPartialSignoff": false,
>       "remediationRule": null,
>       "initializeRule": "",
[...]
